Subject: bug#54238: Fw: missing files from aspell-dict package

From: vapnik spaknik <[email-masked]>
Date: Thu, 3 Mar 2022 11:30:19 +0000 (UTC)

I have installed the latest versions of aspell & aspell-dict-en via guix on a foreign distro:

> guix package --list-installed=aspell\*
aspell                0.60.8               out    /gnu/store/xyz0ljdw4m25k8vhnl8261ywq7dvmr49-aspell-0.60.8
aspell-dict-en    2020.12.07-0    out    /gnu/store/v90ifhzvln0p61i6xpadjj6qvjqvr4sb-aspell-dict-en-2020.12.07-0 

However, when recollindex tries to run this aspell command it emits an error:

> aspell --lang=en --encoding=utf-8 create master ~/recoll/aspdict.en.rws
Error: The language "en" is not known. This is probably because: the file "/gnu/store/xyz0ljdw4m25k8vhnl8261ywq7dvmr49-aspell-0.60.8/lib/aspell-0.60/en.dat" can not be opened for reading.

If I add a --data-dir option to point to the aspell-dict-en dir which contains en.dat I get a different error:
> aspell --data-dir=~/.guix-profile/lib/aspell --lang=en --encoding=utf-8 create master ~/recoll/aspdict.en.rws
Error: The file "~/.guix-profile/lib/aspell/iso-8859-1.cset" can not be opened for reading. 

The aspell installation contains cset & cmap files in its lib/aspell-0.60/ subdir, but no dat files, whereas the aspell-dict-en contains dat files but not cset or cmap files. However, aspell expects them to be in the same directory, as they are in the debian aspell package (in /usr/lib/aspell).

Joe 

p.s. "vapnik spaknik" is a randomly chosen email name for the sake of anonymity, not a shady Russian cracker. I prefer to (try to) stay anonymous online because I took heed of Richard Stallmans warnings about the internet, not because I'm doing anything dodgy. I say these things because I worry that the current political situation may invoke a negative reaction to the name in the From field of this message, and reduce its chances of being answered.